=head1 NAME

GStreamer::Plugin

=cut

=head1 HIERARCHY

  Glib::Object
  +----GStreamer::Object
       +----GStreamer::Plugin



=cut


=head1 METHODS

=head2 string = $plugin-E<gt>B<get_description> 

=head2 string = $plugin-E<gt>B<get_filename> 

=head2 boolean = $plugin-E<gt>B<is_loaded> 

=head2 string = $plugin-E<gt>B<get_license> 

=head2 plugin = $plugin-E<gt>B<load> 

=head2 plugin = GStreamer::Plugin::load_by_name ($name)

=over

=item * $name (string) 

=back



=head2 plugin = GStreamer::Plugin::load_file ($filename)

=over

=item * $filename (string) 

=back



=head2 boolean = $plugin-E<gt>B<name_filter> ($name)

=over

=item * $name (string) 

=back

=head2 string = $plugin-E<gt>B<get_name> 

=head2 string = $plugin-E<gt>B<get_origin> 

=head2 string = $plugin-E<gt>B<get_package> 

=head2 string = $plugin-E<gt>B<get_source> 

=head2 string = $plugin-E<gt>B<get_version> 



=cut


=head1 SEE ALSO

L<GStreamer>, L<Glib::Object>, L<GStreamer::Object>


=cut


=head1 COPYRIGHT

Copyright (C) 2005-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<GStreamer> for a full notice.



=cut

